%define module	dib-utils

Name:		python-%{module}
Version:	0.0.11
Release:	%mkrel 1
Summary:	Pieces of diskimage-builder that are useful standalone
License:	ASL 2.0
Group:		Development/Python
URL:		https://git.openstack.org/cgit/openstack/dib-utils
Source0:	http://tarballs.openstack.org/dib-utils/%{module}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(d2to1)
BuildRequires:	pythonegg(2)(pbr)

%description
Pieces of diskimage-builder that are useful standalone.
This allows them to be used without pulling in all of
diskimage-builder and its dependencies.

%package -n	python3-%{module}
Summary:	Pieces of diskimage-builder that are useful standalone
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(d2to1)
BuildRequires:	pythonegg(3)(pbr)

%description -n	python3-%{module}
Pieces of diskimage-builder that are useful standalone.
This allows them to be used without pulling in all of
diskimage-builder and its dependencies.

This is the Python 3 build of %{module}.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf dib_utils.egg-info

%build
%py2_build

%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/dib-run-parts %{buildroot}%{_bindir}/python3-dib-run-parts

%py2_install

%files
%doc AUTHORS ChangeLog README.md
%{_bindir}/dib-run-parts
%{python2_sitelib}/dib_utils*

%files -n python3-%{module}
%doc AUTHORS ChangeLog README.md
%{_bindir}/python3-dib-run-parts
%{python3_sitelib}/dib_utils*


%changelog
* Tue Jan 03 2017 daviddavid <daviddavid> 0.0.11-1.mga6
+ Revision: 1079837
- new version: 0.0.11

* Sat Aug 20 2016 daviddavid <daviddavid> 0.0.10-1.mga6
+ Revision: 1047144
- new version: 0.0.10

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Nov 12 2015 daviddavid <daviddavid> 0.0.9-1.mga6
+ Revision: 902790
- imported package python-dib-utils

